/* ----------------------------------------------------------------------------
 *         ATMEL Microcontroller Software Support 
 * ----------------------------------------------------------------------------
 * Copyright (c) 2014, Atmel Corporation
 *
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * - Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the disclaimer below.
 *
 * Atmel's name may not be used to endorse or promote products derived from
 * this software without specific prior written permission.
 *
 * DISCLAIMER: THIS SOFTWARE IS PROVIDED BY ATMEL "AS IS" AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT ARE
 * DISCLAIMED. IN NO EVENT SHALL ATMEL BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,
 * OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * ----------------------------------------------------------------------------
 */
#ifndef __GST_G1_H264_DEC_H__
#define __GST_G1_H264_DEC_H__

#include <gst/gst.h>
#include "gstg1basedec.h"
#include "h264decapi.h"

G_BEGIN_DECLS

#define GST_TYPE_G1_H264_DEC \
  (gst_g1_h264_dec_get_type())
#define GST_G1_H264_DEC(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST((obj),GST_TYPE_G1_H264_DEC,GstG1H264Dec))
#define GST_G1_H264_DEC_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST((klass),GST_TYPE_G1_H264_DEC,GstG1H264DecClass))
#define GST_IS_G1_H264_DEC(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE((obj),GST_TYPE_G1_H264_DEC))
#define GST_IS_G1_H264_DEC_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE((klass),GST_TYPE_G1_H264_DEC))

typedef struct _GstG1H264Dec GstG1H264Dec;
typedef struct _GstG1H264DecClass GstG1H264DecClass;

struct _GstG1H264Dec {
  GstG1BaseDec parent;

  gboolean skip_non_reference;
  gboolean disable_output_reordering;
  gboolean intra_freeze_concealment;
  gboolean use_display_smoothing;
};

struct _GstG1H264DecClass {
  GstG1BaseDecClass parent_class;
};

GType gst_g1_h264_dec_get_type(void);

G_END_DECLS

#endif /*__GST_G1_H264_DEC_H__*/
